# Set to debug or trace if log4j initialization is failing
status=warn
# Name of the configuration
name=PropertiesConfig
## Console appender configuration
appender.console.type=Console
appender.console.name=consoleLogger
appender.console.layout.type=PatternLayout
appender.console.layout.pattern=%d{yyyy-MM-dd HH:mm:ss} %-5p %c{1}:%L - %m%n
# File appender configuration
appender.rolling.type=RollingFile
appender.rolling.name=RollingFile
appender.rolling.fileName=${sys:user.home}/logs/devemployerlogs.log
appender.rolling.filePattern=${sys:user.home}/logs/devemployerlogs-%d{MM-dd-yy-HH-mm-ss}-%i.log
appender.rolling.layout.type=PatternLayout
appender.rolling.layout.pattern=%d %p %C{1.} [%t] %m%n
appender.rolling.policies.type=Policies
appender.rolling.policies.size.type=SizeBasedTriggeringPolicy
appender.rolling.policies.size.size=50MB
appender.rolling.strategy.type=DefaultRolloverStrategy
appender.rolling.strategy.max=5
# Root logger level
rootLogger.level=debug
# Root logger referring to appenders
rootLogger.appenderRef.console.ref=consoleLogger
rootLogger.appenderRef.file.ref=RollingFile
